Page MenuHomePhabricator

Update gadgets for seen/unseen styling
Closed, ResolvedPublic

Description

Below should be done for English Wikipedia and other wikis using the same gadgets.

  • Don't show green bullets for unseen changes if the beta feature is enabled.
  • Show bold for unseen changes if beta feature is enabled, even if WatchlistChangesBold is off.

Full query is P5999. However, note this only shows gadgets on other wikis with the same name as enwiki's. They could (and likely a few do) have their own names.

Four that we have updates for are:

All the exact copies to do are given at P6021.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
Declined Mattflaschen-WMF
Declined Mattflaschen-WMF
DeclinedNone
ResolvedEsanders
OpenNone
OpenNone
OpenNone
ResolvedCatrope
ResolvedDannyH
ResolvedDannyH
OpenNone
ResolvedCatrope
ResolvedMooeypoo
Resolved Mattflaschen-WMF

Event Timeline

Elena just pointed out to me that the gadget about green dots affects RC page and History as well as Watchlist. The wording:

  • Display green collapsible arrows and green bullets for changed pages in your watchlist, page history and recent changes

So if we eliminate it from Watchlist and RC page, do we need to move a diminished gadget (that applies only to history) to some other section? Maybe "Appearance"?

We are removing green dots only for Beta. At the moment, the majority of users will not be impacted.

Change 377201 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/core@master] Add <body> class marking whether RCFilters is enabled

https://gerrit.wikimedia.org/r/377201

Elena just pointed out to me that the gadget about green dots affects RC page and History as well as Watchlist. The wording:

  • Display green collapsible arrows and green bullets for changed pages in your watchlist, page history and recent changes

    So if we eliminate it from Watchlist and RC page, do we need to move a diminished gadget (that applies only to history) to some other section? Maybe "Appearance"?

This is a good point. We could move the ones that apply to more than watchlist at any time, to avoid confusion.

Change 377201 merged by jenkins-bot:
[mediawiki/core@master] Add <body> class marking whether RCFilters is enabled

https://gerrit.wikimedia.org/r/377201

Mattflaschen-WMF added a comment.EditedSep 12 2017, 2:38 AM

Okay, the CSS itself is ready for review:

To test it, you can use the below code (copy to Special:MyPage/common.js). You can customize which gadgets are on by commenting out the relevant parts of the below. WatchlistBase is supposed to always be on, but I tested with it off as well.

Disable the actual gadgets in your preferences, and just use the below instead.

$( function () {
	mw.loader.using( 'mediawiki.util' ).done( function () {
		var $body = $( 'body' ), enabled = false;
		
		if ( $body.is( '.mw-special-Recentchanges, .mw-special-Recentchangeslinked, .mw-special-Watchlist' ) ) {
			if ( mw.user.options.get( 'rcenhancedfilters' ) ) {
				if ( $body.is( '.mw-special-Recentchanges, .mw-special-Recentchangeslinked' ) ) {
					enabled = true;
				} else if ( $body.is ('.mw-special-Watchlist' ) ) {
					enabled = ( mw.util.getParamValue( 'rcfilters' ) === '1' );
				}
			}
		
			$body.addClass( enabled ? 'mw-rcfilters-enabled' : 'mw-rcfilters-disabled' );
		}
	
		mw.loader.load( 'https://en.wikipedia.org/w/index.php?title=User:Mattflaschen-WMF/MediaWiki:Gadget-WatchlistBase.css&action=raw&ctype=text/css', 'text/css' );
	
		var skin = mw.config.get( 'skin' );
		if ( skin === 'vector' ) {
			mw.loader.load( 'https://en.wikipedia.org/w/index.php?title=User:Mattflaschen-WMF/MediaWiki:Gadget-WatchlistGreenIndicators.css&action=raw&ctype=text/css', 'text/css' );
		} else if ( skin === 'monobook' || skin === 'modern' ) {
			mw.loader.load( 'https://en.wikipedia.org/w/index.php?title=User:Mattflaschen-WMF/MediaWiki:Gadget-WatchlistGreenIndicatorsMono.css&action=raw&ctype=text/css', 'text/css' );
		}
	
		mw.loader.load( 'https://en.wikipedia.org/w/index.php?title=User:Mattflaschen-WMF/MediaWiki:Gadget-WatchlistChangesBold.css&action=raw&ctype=text/css', 'text/css' );
	} );
} );
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF updated the task description. (Show Details)

On Beta cluster, you don't need the:

var $body = $( 'body' ), enabled = false;
		
		if ( $body.is( '.mw-special-Recentchanges, .mw-special-Recentchangeslinked, .mw-special-Watchlist' ) ) {
			if ( mw.user.options.get( 'rcenhancedfilters' ) ) {
				if ( $body.is( '.mw-special-Recentchanges, .mw-special-Recentchangeslinked' ) ) {
					enabled = true;
				} else if ( $body.is ('.mw-special-Watchlist' ) ) {
					enabled = ( mw.util.getParamValue( 'rcfilters' ) === '1' );
				}
			}
		
			$body.addClass( enabled ? 'mw-rcfilters-enabled' : 'mw-rcfilters-disabled' );
		}

part (or in production tomorrow once rMWb3becd3a6113: Add <body> class marking whether RCFilters is enabled fully rolls out).

LGTM. Didn't test though, maybe @Etonkovidova can do that now that you've put this on beta cluster?

Mattflaschen-WMF updated the task description. (Show Details)

The new versions are now on the Beta Cluster. People can test there without any code (by just changing whether RCFilters is enabled and/or gadgets and/or skin in your preferences).

Mattflaschen-WMF updated the task description. (Show Details)
Etonkovidova added a comment.EditedSep 19 2017, 1:07 AM

The table below summarizes how seen/unseen changes are displayed on Recent changes/Watchlist with enabled/disabled the new filter feature.

Enabled filtersStatus of changesWatchlist
NoUnseennon-bold titles/green filled dots
NoSeennon-bold titles/blue filled dots
Yes Unseenbold title/blue filled dots
YesSeennon-bold titles/empty dots

For the cases where Watchlist has enabled beta feature and displays empty markers the task was filed: T176191: [betalabs] Watchlist - empty markers displayed for seen/unseen changes

The copies to do are at P6021. I skipped ur, since it's not an available gadget (and it's different from the others).

Someone should also post on the talk pages that we did this, before this is closed.

All the copies are now done.

With T176191: [betalabs] Watchlist - empty markers displayed for seen/unseen changes fixed/verified, I've update the table in my above column. I also checked monobook skin - the display of dots is identical there to Vector skin.

Note: when new filters are not enabled on RC page and Watchlist, the monobook skin displays not dots but small squares.

monobook RC page - filters not enabled.

monobook RC page - filters enabled.

I've updated the table in my comment above and filed T176254: [betalabs] monobook RC page with filters and 'Grouped results by page' does not display markers to prioritize it later.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Sep 19 2017, 11:23 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 15 2018, 9:59 AM